diff -N -P -r -u rtems-4.7.2/c/src/lib/libbsp/sparc/erc32/ChangeLog rtems-4.7.3/c/src/lib/libbsp/sparc/erc32/ChangeLog
--- rtems-4.7.2/c/src/lib/libbsp/sparc/erc32/ChangeLog	2007-03-28 13:08:57.000000000 -0500
+++ rtems-4.7.3/c/src/lib/libbsp/sparc/erc32/ChangeLog	2008-08-08 10:55:16.000000000 -0500
@@ -1,3 +1,15 @@
+2008-08-08	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds: All SPARC executables should include
+	rtems_get_version_string so the monitor used can provide RTEMS
+	awareness based upon the version.
+
+2008-08-04	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	PR 1294/bsps
+	* startup/spurious.c: Correct prototype and usage of
+	sparc_disable_interrupts.
+
 2007-03-28	Joel Sherrill <joel@OARcorp.com>
 
 	PR 1233/bsps
diff -N -P -r -u rtems-4.7.2/c/src/lib/libbsp/sparc/leon2/ChangeLog rtems-4.7.3/c/src/lib/libbsp/sparc/leon2/ChangeLog
--- rtems-4.7.2/c/src/lib/libbsp/sparc/leon2/ChangeLog	2007-03-10 09:56:11.000000000 -0600
+++ rtems-4.7.3/c/src/lib/libbsp/sparc/leon2/ChangeLog	2008-08-08 10:55:17.000000000 -0500
@@ -1,3 +1,9 @@
+2008-08-08	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds: All SPARC executables should include
+	rtems_get_version_string so the monitor used can provide RTEMS
+	awareness based upon the version.
+
 2007-03-10	Joel Sherrill <joel@OARcorp.com>
 
 	PR 1227/bsps
diff -N -P -r -u rtems-4.7.2/c/src/lib/libbsp/sparc/leon3/ChangeLog rtems-4.7.3/c/src/lib/libbsp/sparc/leon3/ChangeLog
--- rtems-4.7.2/c/src/lib/libbsp/sparc/leon3/ChangeLog	2007-03-10 09:56:13.000000000 -0600
+++ rtems-4.7.3/c/src/lib/libbsp/sparc/leon3/ChangeLog	2008-08-08 11:28:13.000000000 -0500
@@ -1,3 +1,14 @@
+2008-08-08	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* console/debugputs.c: Correct use of sparc_disable_interrupt and
+	sparc_enable_interrupt.
+
+2008-08-08	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds: All SPARC executables should include
+	rtems_get_version_string so the monitor used can provide RTEMS
+	awareness based upon the version.
+
 2007-03-10	Joel Sherrill <joel@OARcorp.com>
 
 	PR 1227/bsps
diff -N -P -r -u rtems-4.7.2/c/src/librtems++/ChangeLog rtems-4.7.3/c/src/librtems++/ChangeLog
--- rtems-4.7.2/c/src/librtems++/ChangeLog	2007-02-06 10:42:33.000000000 -0600
+++ rtems-4.7.3/c/src/librtems++/ChangeLog	2008-08-04 14:24:45.000000000 -0500
@@ -1,3 +1,8 @@
+2008-08-04	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	PR 1282/misc
+	* src/rtemsInterrupt.cc: Correct vec/vector variable confusion.
+
 2007-02-06	Joel Sherrill <joel@OARcorp.com>
 
 	* include/rtems++/rtemsMessageQueue.h, src/rtemsMessageQueue.cc: Make
diff -N -P -r -u rtems-4.7.2/cpukit/ChangeLog rtems-4.7.3/cpukit/ChangeLog
--- rtems-4.7.2/cpukit/ChangeLog	2008-02-06 10:58:32.000000000 -0600
+++ rtems-4.7.3/cpukit/ChangeLog	2008-08-08 10:56:13.000000000 -0500
@@ -1,3 +1,78 @@
+2008-08-08	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* rtems/include/rtems.h, sapi/Makefile.am: Add Add simple helper to get
+	RTEMS version string.
+	* sapi/src/getversionstring.c: New file.
+
+2008-08-06	Brett Swimley <brett.swimley@aedbozeman.com>
+
+	PR 1192/filesystem
+	* libblock/src/diskdevs.c: Update the disktap pointer after the
+	realloc.
+
+2008-08-05	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	PR 741/networking
+	* libmisc/dummy/dummy.c: Add dummy network configuration.
+
+2008-08-05	Xudong Guan <xudong.guan@criticalsoftware.com>
+
+	PR 1212/cpukit
+	* rtems/src/taskmode.c, score/src/threadtickletimeslice.c: Time slicing
+	will not happen if the task mode is changed from a non-timeslicing
+	mode to timeslicing mode if it is done by the executing thread (e.g.
+	in its task body). This change includes sp44 to demonstrate the
+	problem and verify the correction.
+
+2008-08-04	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	PR 1265/cpukit
+	* score/include/rtems/score/object.h,
+	score/src/objectallocatebyindex.c: Rename index argument to avoid
+	warning when rtems.h and string.h are included at the same time by
+	user code.
+
+2008-07-24	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	PR 1291/cpukit
+	* posix/src/posixtimespecabsolutetimeout.c: New file.
+	* itron/inline/rtems/itron/semaphore.inl, itron/src/twai_sem.c,
+	posix/Makefile.am, posix/include/mqueue.h,
+	posix/include/rtems/posix/mqueue.h,
+	posix/include/rtems/posix/semaphore.h,
+	posix/include/rtems/posix/time.h, posix/src/condtimedwait.c,
+	posix/src/mqueuereceive.c, posix/src/mqueuerecvsupp.c,
+	posix/src/mqueuesend.c, posix/src/mqueuesendsupp.c,
+	posix/src/mqueuetimedreceive.c, posix/src/mqueuetimedsend.c,
+	posix/src/mutexfromcorestatus.c, posix/src/mutextimedlock.c,
+	posix/src/semaphorewaitsupp.c, posix/src/semtimedwait.c,
+	posix/src/semtrywait.c, posix/src/semwait.c, rtems/src/semobtain.c,
+	rtems/src/semtranslatereturncode.c,
+	score/include/rtems/score/coresem.h, score/src/coremsgseize.c,
+	score/src/coresemseize.c:
+	This patch addresses issues on implementation of the timeout on the
+	following POSIX services. Some of these services incorrectly took a
+	timeout as a relative time. Others would compute a 0 delta to timeout
+	if the absolute time and the current time were equal and thus
+	incorrectly block the caller forever. The root of the confusion is
+	that POSIX specifies that if the timeout is incorrect (e.g. in the
+	past, is now, or is numerically invalid), that it does not matter if
+	the call would succeed without blocking. This is in contrast to RTEMS
+	programming style where all errors are checked before any critical
+	sections are entered. This fix implemented a more uniform way of
+	handling POSIX absolute time timeouts.
+	    + pthread_cond_timedwait - could block forever
+	    + mq_timedreceive - used relative not absolute time
+	    + mq_timedsend - used relative not absolute time
+	    + pthread_mutex_timedlock - used relative not absolute time
+	    + pthread_rwlock_timedrdlock- used relative not absolute time
+	    + pthread_rwlock_timedwrlock- used relative not absolute time
+	    + sem_timedwait - could block forever
+
+2008-04-25	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* score/include/rtems/system.h: Fix typo in comment.
+
 2008-02-06	Joel Sherrill <joel.sherrill@OARcorp.com>
 
 	PR 1277/networking
diff -N -P -r -u rtems-4.7.2/cpukit/score/cpu/sparc/ChangeLog rtems-4.7.3/cpukit/score/cpu/sparc/ChangeLog
--- rtems-4.7.2/cpukit/score/cpu/sparc/ChangeLog	2007-05-10 13:41:05.000000000 -0500
+++ rtems-4.7.3/cpukit/score/cpu/sparc/ChangeLog	2008-08-04 15:35:31.000000000 -0500
@@ -1,3 +1,15 @@
+2008-08-04	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	PR 1294/bsps
+	* rtems/score/cpu.h, rtems/score/sparc.h: Correct prototype and usage
+	of sparc_disable_interrupts.
+
+2008-02-20	Alexandru Bugnar <a-bugnar@criticalsoftware.com>
+
+	PR 1278/cpukit
+	* cpu.c: Fix incorrect bit manipulation on returning old address of raw
+	trap handler.
+
 2007-05-10	Joel Sherrill <joel.sherrill@OARcorp.com>
 
 	PR 1237/rtems
diff -N -P -r -u rtems-4.7.2/doc/ChangeLog rtems-4.7.3/doc/ChangeLog
--- rtems-4.7.2/doc/ChangeLog	2008-02-14 13:35:39.000000000 -0600
+++ rtems-4.7.3/doc/ChangeLog	2008-08-07 08:45:23.000000000 -0500
@@ -1,3 +1,47 @@
+2008-08-07	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* user/datatypes.t: Add rtems_name. Add comment about
+	rtems_task_argument changing from simple unsigned thirty two bit
+	integer to being derived from a C99 uintptr_t in 4.8 and newer.
+
+2008-08-04	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	PR 1263/doc
+	* user/part.t: Improve discussion of alignment and minimum buffer
+	sizes.
+
+2008-08-04	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	PR 1288/doc
+	* user/intr.t: Update callable from ISR section.
+
+2008-08-01	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* user/msg.t: Parameter is size not count. Spotted by Sebastian Huber.
+
+2008-07-24	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	PR 1291/cpukit
+	* posix_users/mutex.t, posix_users/semaphores.t: Update tests to
+	reflect changes required by POSIX blocking calls sometimes taking
+	relative not absolute time.
+
+2008-07-15	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* user/clock.t, user/dpmem.t, user/msg.t, user/part.t, user/region.t,
+	user/rtmon.t, user/sem.t, user/task.t, user/timer.t: Correct
+	documentation typos noticed and thankfully reported by Fabrício de
+	Novaes Kucinskis <fabricio@dea.inpe.br>
+
+2008-06-20	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* user/io.t: Fix typos for IO unregister reported by Catalin Morosan
+	<catalin.morosan at gmail.com>.
+
+2008-06-20	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* user/conf.t: Fix text on CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER.
+
 2008-02-14	Joel Sherrill <joel.sherrill@OARcorp.com>
 
 	* user/mp.t: Now builds.
diff -N -P -r -u rtems-4.7.2/testsuites/psxtests/ChangeLog rtems-4.7.3/testsuites/psxtests/ChangeLog
--- rtems-4.7.2/testsuites/psxtests/ChangeLog	2006-12-02 00:09:45.000000000 -0600
+++ rtems-4.7.3/testsuites/psxtests/ChangeLog	2008-08-04 09:39:52.000000000 -0500
@@ -1,3 +1,15 @@
+2008-08-04	Tim FitzGeorge <tim.fitzgeorge@astrium.eads.net>
+
+	PR 1293/tests
+	* psx10/init.c: Make sure we do not let tv_nsec go to -1.
+
+2008-07-24	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	PR 1291/cpukit
+	* psx05/init.c, psxmsgq01/init.c, psxmsgq01/system.h, psxsem01/init.c,
+	psxsem01/psxsem01.scn: Update tests to reflect changes required by
+	problem.
+
 2006-12-02	Ralf Corsépius <ralf.corsepius@rtems.org>
 
 	* configure.ac: New BUG-REPORT address.
diff -N -P -r -u rtems-4.7.2/testsuites/sptests/ChangeLog rtems-4.7.3/testsuites/sptests/ChangeLog
--- rtems-4.7.2/testsuites/sptests/ChangeLog	2007-03-29 12:02:06.000000000 -0500
+++ rtems-4.7.3/testsuites/sptests/ChangeLog	2008-08-05 08:09:53.000000000 -0500
@@ -1,3 +1,12 @@
+2008-08-05	Xudong Guan <xudong.guan@criticalsoftware.com>
+
+	PR 1212/cpukit
+	* Makefile.am, configure.ac: Time slicing will not happen if the task
+	mode is changed from a non-timeslicing mode to timeslicing mode if it
+	is done by the executing thread (e.g. in its task body). This change
+	includes sp44 to demonstrate the problem and verify the correction.
+	* sp44/.cvsignore, sp44/Makefile.am, sp44/init.c, sp44/sp44.scn: New files.
+
 2007-03-29	Ralf Corsépius <ralf.corsepius@rtems.org>
 
 	* sp06/task1.c, sp20/task1.c: Use rtems_task_argument.
